#
# spec file for package python-python-mpd2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-mpd2
Version:        3.0.5
Release:        1.7
Summary:        A Python MPD client library
License:        LGPL-3.0-only
Group:          Development/Languages/Python
URL:            https://github.com/Mic92/python-mpd2
Source:         https://files.pythonhosted.org/packages/source/p/python-mpd2/python-mpd2-%{version}.tar.gz
BuildRequires:  %{python_module Twisted}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-Twisted
BuildArch:      noarch
%python_subpackages

%description
The python-mpd2 package is a Python library which provides
a client interface for the Music Player Daemon.

python-mpd2 is a fork of python-mpd.  While 0.4.x was backwards compatible
with python-mpd, starting with 0.5 provides enhanced features which are *NOT*
backward compatibles with the original python-mpd package.

%prep
%setup -q -n python-mpd2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v mpd.tests

%files %{python_files}
%license LICENSE.txt
%doc README.rst doc
%{python_sitelib}/python_mpd2-%{version}-py*.egg-info
%{python_sitelib}/mpd

%changelog
* Mon Apr 11 2022 Markéta Machová <mmachova@suse.com>
- Update to 3.0.5
  * python 3.10 compatibility
  * fixes for using idle in async
  * use python's internal mock library instead of external mock
  * expose connection status in async (connected property)
* Tue Oct 19 2021 Matej Cepl <mcepl@suse.com>
- Use %%pyunittest macro instead of the homebrewn solution.
- Just Recommends python-Twisted.
* Tue Oct 19 2021 Mia Herkt <mia@0x0.st>
- Update to 3.0.4
  * expose failure responses in CommandError exceptions
- Changes in 3.0.3:
  * asyncio: tolerate early disconnects
- Changes in 3.0.2:
  * asyncio: fix disconnect happen before connect
  * asyncio: better protection against request cancellation
  * asyncio: idle iterator raises error when connection closed
- Changes in 3.0.0/3.0.1:
  * Breaking changes: albumart now returns dictionary
    `{"size": "...", "binary": b"..."}` instead of just a string
  * add readpicture command
  * add partition, newpartition and delpartition commands
  * add moveoutput command
  * removed deprecated send_ and fetch_ commands. Use the asyncio
    or twisted API instead for asynchronous mpd commands.
- Changes in 2.0.0:
  * Minimum python version was increased to python3.6, python2.7 support was dropped
  * asyncio: fix parsing delimiters
  * add support for albumart command
- Changes in 1.1.0:
  * Fix list command to work with grouping. Always returns list of
    dictionaries now. Make sure to adopt your code since this is an
    API change.
  * fix compatibility with python3.9
  * fix connecting to unix socket in asyncio version
  * close asyncio transports on disconnect
  * create TCP socket with TCP_NODELAY for better responsiveness
* Wed Aug 29 2018 tchvatal@suse.com
- Update to release 1.0.0:
  * asyncio support
  * Various tweaks for python3
- Make sure to run tests
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
